Story
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get all stories by project type
Fetches all stories filtered by project type, with optional parameters for pagination, sorting, and filtering by name or created date.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*integer
The project type ID
Query Parameters
limit?integer
Maximum number of stories to return (pagination limit)
Default
10offset?integer
Offset to start pagination
Default
0sort?string
Sort by field name. Available options: "name", "-name", "createdAt", "-createdAt", "changerEmail", "-changerEmail"
name?string
Filter stories by name
createdAt?string
Filter stories by creation date (in yyyy-mm-dd:yyyy-mm-dd format)
Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/stories/by-project-type/1?limit=10&offset=0&sort=-createdAt&name=My+Story+Name&createdAt=2023-10-10%3A2024-10-10"{ "stories": [ { "id": 101, "projectTypeId": 1, "name": "Story Title", "createdAt": "2023-10-15", "changerEmail": "user@example.com", "allKeysCount": 5, "actions": [ "StoryUpdate" ] } ], "pagination": { "maxCount": 100 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}